# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TTypeId

Packages that use TTypeId
Package
Description
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TTypeId in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TTypeId
Modifier and Type
Method
Description
`static org.apache.arrow.vector.types.pojo.ArrowType`
DatabricksTypeUtil.`mapThriftToArrowType(TTypeId typeId)`

## Uses of TTypeId in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TTypeId in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TTypeId`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TTypeId
Modifier and Type
Field
Description
`TTypeId`
TPrimitiveTypeEntry.`type`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TTypeId
Modifier and Type
Field
Description
`static final Set<TTypeId>`
TCLIServiceConstants.`COLLECTION_TYPES`
`static final Set<TTypeId>`
TCLIServiceConstants.`COMPLEX_TYPES`
`static final Set<TTypeId>`
TCLIServiceConstants.`PRIMITIVE_TYPES`
`static final Map<TTypeId,String>`
TCLIServiceConstants.`TYPE_NAMES`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TTypeId
Modifier and Type
Method
Description
`static TTypeId`
TTypeId.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TTypeId`
TPrimitiveTypeEntry.`getType()`
`static TTypeId`
TTypeId.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TTypeId[]`
TTypeId.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTypeId
Modifier and Type
Method
Description
`TPrimitiveTypeEntry`
TPrimitiveTypeEntry.`setType(TTypeId type)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTypeId
Modifier
Constructor
Description
``
`TPrimitiveTypeEntry(TTypeId type)`